TESTING/EIG/dget32.f(3)

NAME
TESTING/EIG/dget32.f

SYNOPSIS

  Functions/Subroutines
subroutine dget32 (rmax, lmax, ninfo, knt)
DGET32

Function/Subroutine Documentation

  subroutine dget32 (double precision rmax, integer lmax, integer ninfo, integer knt)

DGET32

Purpose:

     DGET32 tests DLASY2, a routine for solving
             op(TL)*X + ISGN*X*op(TR) = SCALE*B
     where TL is N1 by N1, TR is N2 by N2, and N1,N2 =1 or 2 only.
     X and B are N1 by N2, op() is an optional transpose, an
     ISGN = 1 or -1. SCALE is chosen less than or equal to 1 to
     avoid overflow in X.
     The test condition is that the scaled residual
     norm( op(TL)*X + ISGN*X*op(TR) = SCALE*B )
          / ( max( ulp*norm(TL), ulp*norm(TR)) * norm(X), SMLNUM )
     should be on the order of 1. Here, ulp is the machine precision.
     Also, it is verified that SCALE is less than or equal to 1, and
     that XNORM = infinity-norm(X).

Parameters
    RMAX

              RMAX is DOUBLE PRECISION
              Value of the largest test ratio.

    LMAX

              LMAX is INTEGER
              Example number where largest test ratio achieved.

    NINFO

              NINFO is INTEGER
              Number of examples returned with INFO.NE.0.

    KNT

              KNT is INTEGER
              Total number of examples tested.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 81 of file dget32.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.